<?php
    // Prevent running directly:
    if (!defined('PERCH_DB_PREFIX')) exit;

    // Let's go
    $sql = "
    CREATE TABLE IF NOT EXISTS `__PREFIX__newsfeed` (
      `postID` int(11) NOT NULL AUTO_INCREMENT,
      `postTitle` varchar(255) NOT NULL DEFAULT '',
      `postURL` varchar(255) NOT NULL DEFAULT '',
      `postDateTime` datetime DEFAULT NULL,
      `postBody` text,
      PRIMARY KEY (`postID`),
      KEY `idx_date` (`postDateTime`)
    ) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;";
    
    
    
    $sql = str_replace('__PREFIX__', PERCH_DB_PREFIX, $sql);
    
    $statements = explode(';', $sql);
    foreach($statements as $statement) {
        $statement = trim($statement);
        if ($statement!='') $this->db->execute($statement);
    }

    
    
    $sql = 'SHOW TABLES LIKE "'.$this->table.'"';
    $result = $this->db->get_value($sql);

    $API = new PerchAPI(1.0, 'perch_newsfeed');
    $UserPrivileges = $API->get('UserPrivileges');
    $UserPrivileges->create_privilege('perch_newsfeed', 'Show newsfeed on dashboard');
    
    return $result;

?>